curl -X GET "https://api.rxradar.xyz/v1/stores?network=cvs&per_page=10" \
-H "Authorization: Bearer rx_YOUR_API_KEY"
{
"network": "cvs",
"search": null,
"data": [
{
"id": 1,
"url": "https://www.cvs.com",
"slug": "www-cvs-com",
"network": "cvs",
"has_shop": true,
"has_rx": false,
"categories_count": 877,
"last_collected_at": "2026-04-29T17:34:54"
}
],
"total": 1,
"page": 1,
"per_page": 10,
"pages": 1
}
Stores
List Stores
List all stores (individual pharmacies)
GET
/
v1
/
stores
curl -X GET "https://api.rxradar.xyz/v1/stores?network=cvs&per_page=10" \
-H "Authorization: Bearer rx_YOUR_API_KEY"
{
"network": "cvs",
"search": null,
"data": [
{
"id": 1,
"url": "https://www.cvs.com",
"slug": "www-cvs-com",
"network": "cvs",
"has_shop": true,
"has_rx": false,
"categories_count": 877,
"last_collected_at": "2026-04-29T17:34:54"
}
],
"total": 1,
"page": 1,
"per_page": 10,
"pages": 1
}
integer
default:"1"
Page number
integer
default:"50"
Results per page (max: 100)
string
Filter by network (e.g. “cvs”)
string
Search by store URL
curl -X GET "https://api.rxradar.xyz/v1/stores?network=cvs&per_page=10" \
-H "Authorization: Bearer rx_YOUR_API_KEY"
{
"network": "cvs",
"search": null,
"data": [
{
"id": 1,
"url": "https://www.cvs.com",
"slug": "www-cvs-com",
"network": "cvs",
"has_shop": true,
"has_rx": false,
"categories_count": 877,
"last_collected_at": "2026-04-29T17:34:54"
}
],
"total": 1,
"page": 1,
"per_page": 10,
"pages": 1
}
⌘I